Subject: Re: [PATCH 0/11] convert d80211 to a proper protocol

From: Jeff Garzik <[email-masked]>
Date: Wed, 08 Nov 2006 08:36:04 -0500

Jiri Benc wrote:
> On Mon, 06 Nov 2006 22:09:54 +0100, Johannes Berg wrote:
>>> What did happen with
>>> d80211: add a function to get the wiphy index
>>> d80211: add a perm_addr hardware property
>>> d80211: add a struct device* hardware property
>>> d80211: add a ethtool_ops hardware property
>>> patches?
>> Well after some chat with a few people I decided that it was stupid and
>> not very maintainable to copy all the fields in net_device to a new
>> structure.
> 
> Ok. Personally, I don't care if we pass net_device or ieee80211_local
> to drivers. I see pros and cons of both solutions.

Agreed.  Though if using ieee80211_local, please remove the "_local".  A 
better name is needed.

	Jeff